Bug 41607 - No build output when downloading to zips for support package
Summary: No build output when downloading to zips for support package
Status: VERIFIED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: Android (show other bugs)
Version: 4.1.0 (C7)
Hardware: PC Windows
: Normal normal
Target Milestone: 4.3.0 (C9)
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-06-08 16:02 UTC by Jeremy Kolb
Modified: 2016-11-22 18:19 UTC (History)
9 users (show)

See Also:
Tags: BZSRC7
Is this bug a regression?: No
Last known good build:


Attachments

Description Jeremy Kolb 2016-06-08 16:02:41 UTC
# Steps to reproduce
Build an Android project that includes some of the support packages.  Watch as the build hangs for 45 minutes.

# Expected behavior
Some progress so that we can see that Xamarin is downloading zip files.

# Actual behavior
Nothing shows up in the output.

# Supplemental info (logs, images, videos)


# Test environment (full version information)
Visual Studio 2015
Comment 2 Daniel Cazzulino 2016-06-15 14:09:19 UTC
Just like for #41606 (and for the same reasons), it would be useful to have the VS version information.

Thanks!
Comment 3 Jeremy Kolb 2016-06-15 14:10:34 UTC
Microsoft Visual Studio Professional 2015
Version 14.0.25123.00 Update 2
Microsoft .NET Framework
Version 4.6.01055

Installed Version: Professional

Visual Basic 2015   00322-50051-74398-AA646
Microsoft Visual Basic 2015

Visual C# 2015   00322-50051-74398-AA646
Microsoft Visual C# 2015

Visual C++ 2015   00322-50051-74398-AA646
Microsoft Visual C++ 2015

Windows Phone SDK 8.0 - ENU   00322-50051-74398-AA646
Windows Phone SDK 8.0 - ENU

Application Insights Tools for Visual Studio Package   5.209.60609.3
Application Insights Tools for Visual Studio

ASP.NET and Web Tools 2015.1   14.1.20512.0
ASP.NET and Web Tools 2015.1

ASP.NET Web Frameworks and Tools 2012.2   4.1.41102.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.40314.0
For additional information, visit http://www.asp.net/

Azure App Service Tools v2.9   14.0.20316.0
Azure App Service Tools v2.9

Azure Data Lake Node   1.0
This package contains the Data Lake integration nodes for Server Explorer.

Azure Data Lake Tools for Visual Studio   2.0.6000.0
Microsoft Azure Data Lake Tools for Visual Studio

Color Theme Designer   1.0
Designer for creating new color themes

Common Azure Tools   1.7
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

DataFactoryProject   1.0
Microsoft Data Factory Package

JavaScript Language Service   2.0
JavaScript Language Service

JavaScript Project System   2.0
JavaScript Project System

JetBrains ReSharper Ultimate 2016.1.2    Build 105.0.20160522.80219
JetBrains ReSharper Ultimate package for Microsoft Visual Studio. For more information about ReSharper Ultimate, visit http://www.jetbrains.com/resharper. Copyright © 2016 JetBrains, Inc.

KofePackagePackage Extension   1.0
KofePackagePackage Visual Studio Extension Detailed Info

Microsoft .NET Core Tools (Preview 1)   14.1.20512.0
Microsoft .NET Core Tools (Preview 1)

Microsoft Azure Data Factory Node Node   1.0
Azure Data Factory extension for Visual Studio Server Explorer.

Microsoft Azure HDInsight HQL Service   2.0.6000.0
Language service for Hive query

Microsoft Azure HDInsight Tools for Visual Studio   2.0.6000.0
An integrated development environment for HDInsight application development.

Microsoft Azure Mobile Services Tools   1.4
Microsoft Azure Mobile Services Tools

Microsoft Azure Tools   2.8
Microsoft Azure Tools for Microsoft Visual Studio 2015 - v2.8.40211.2

Microsoft Azure Tools   2.9
Microsoft Azure Tools for Microsoft Visual Studio 2015 - v2.9.40323.3

Microsoft Azure Tools   2.7
Microsoft Azure Tools for Microsoft Visual Studio 2015 - v2.7.30818.1601

Microsoft MI-Based Debugger   1.0
Provides support for connecting Visual Studio to MI compatible debuggers

NuGet Package Manager   3.4.4
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

ResXManager   1.0.0.81
Manage localization of all ResX-Based resources in one place. Shows all resources of a solution and let's you edit the strings and their localizations in a well-arranged data grid.

SQL Server Data Tools   14.0.60311.1
Microsoft SQL Server Data Tools

ToolWindowHostedEditor   1.0
Hosting json editor into a tool window

TypeScript   1.8.29.0
TypeScript tools for Visual Studio

Visual C++ for Cross Platform Mobile Development (Android)   14.0.25116.00
Visual C++ for Cross Platform Mobile Development (Android)

Visual C++ for Cross Platform Mobile Development (iOS)   14.0.25116.00
Visual C++ for Cross Platform Mobile Development (iOS)

Visual Studio Tools for Universal Windows Apps   14.0.25123.00
The Visual Studio Tools for Universal Windows apps allow you to build a single universal app experience that can reach every device running Windows 10: phone, tablet, PC, and more. It includes the Microsoft Windows 10 Software Development Kit.

Windows Installer XML Toolset   3.10.0.2103
Windows Installer XML Toolset version 3.10.0.2103
Copyright (c) Outercurve Foundation. All rights reserved.

Xamarin   4.1.0.530 (2e39740)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   6.1.0.71 (4e27558)
Visual Studio extension to enable development for Xamarin.Android.

Xamarin.iOS   9.8.0.323 (39ebb77)
Visual Studio extension to enable development for Xamarin.iOS.
Comment 4 Jeremy Kolb 2016-06-15 14:24:09 UTC
See the above. (Not sure if I need to change the status of this bug or not).
Comment 5 Jeremy Kolb 2016-06-20 19:54:04 UTC
Do I need to change this from NEED_INFO or is that something that you should do kzu@xamarin.com?
Comment 6 Jeremy Kolb 2016-07-01 20:45:42 UTC
I've given you the info you requested.
Comment 7 Daniel Cazzulino 2016-08-03 19:47:23 UTC
We are having trouble reproducing this on our end. We've seen weird interactions with R# in the past, maybe you can try disabling it temporarily and see if that makes any difference?

We'll continue investigating.

Thanks for reporting it!
Comment 8 Daniel Cazzulino 2016-08-03 19:48:17 UTC
Maybe you could also try increasing the MSBuild logging verbosity and see if that shows the progress?

See http://dailydotnettips.com/2015/11/26/back-to-basic-displaying-detailed-output-of-msbuild-in-visual-studio-output-window/
Comment 9 Jeremy Kolb 2016-08-08 11:55:19 UTC
Upping the verbosity does not help.
Comment 12 Saurabh 2016-11-21 12:34:08 UTC
I have checked this Issue with latest master build (XVS 99.1.0.120) and latest Cycle 9 build (XVS 4.3.0.307). Application having Xamarin support package added, getting build successfully.

Environment Info:
Microsoft Visual Studio Enterprise 2015
Version 14.0.25422.01 Update 3
Microsoft .NET Framework
Version 4.6.01055

Xamarin   4.3.0.307 (33c20ae)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   7.1.0.5 (4d4b03c)
Visual Studio extension to enable development for Xamarin.Android.

Xamarin.iOS   10.4.0.20 (62816dd)
Visual Studio extension to enable development for Xamarin.iOS.

Note You need to log in before you can comment on or make changes to this bug.